﻿/*
	CSS-kod till RWD
*/
* {
    box-sizing: border-box;
}

body {
    font-family: 'Verdana';
}

header {
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
    width: 100%;
}

nav {
    background-color: #eeeeee;
    width: 100%;
}

section {
    padding: 10px;
}

aside {
    background-color: #cccccc;
    padding: 5px;
    width: 100%;
}

footer {
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

nav li a {
    display: block;
    color: white;
    padding: 5px;
    text-decoration: none;
    text-align: center;
    background-color: darksalmon;
    margin: 4px;
}

nav li a:hover {
    background-color: #555;
    color: white;
}

#flex {
    display: flex;
    flex-wrap: wrap;
    min-height: 100vh;
}

footer {
    margin-top:auto;
}

section picture img {
    width: 550px;
    max-width: 100%;
}

section iframe {
    max-width: 100%;
}

@media only screen and (max-width: 768px){
    nav, section, aside, footer {
        width: 100%;
    }
    nav {
        width: 25%;
    }
    section {
        width: 75%;
    }
}
@media only screen and (min-width: 992px){
    nav, section, aside, footer {
        width: 100%;
    }
    nav {
        width: 25%;
    }
    section {
        width: 58%;
    }
    aside {
        width: 17%;
    }
}
@media only screen and (min-width: 1200px){
    nav, section, aside, footer {
        width: 100%;
    }
    nav ul{
        display: flex;
    }
    nav ul li a{
        margin-top: 0px;
    }
}